## compiz 0.9.14.1+20.10.20200526-0ubuntu4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export COMPIZ_DEB_BUILD=1

include /usr/share/dpkg/architecture.mk

gles2_architectures := armel armhf
build_testing := OFF

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	build_testing := ON
endif

# currently, segfault if CMAKE_BUILD_TYPE=Release
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

# libgtkmm requires C++-11, and some plugins require libgtkmm, so we do too
# (lp: #1477978)
export DEB_CXXFLAGS_MAINT_APPEND=-std=c++11

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/abiversion.h )

override_dh_auto_configure:
	# right now, xorg-gtest won't compile on arm.
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_BUILD_TESTING=$(build_testing) -DBUILD_GLES=ON -DBUILD_XORG_GTEST=OFF
else
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_BUILD_TESTING=$(build_testing)
endif

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	mkdir -p debian/compiz-dev$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules && cp cmake/FindOpenGLES2.cmake debian/compiz-dev$${cmake_dir}/Modules
else
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules
endif

	# remove .a files
	rm -f debian/tmp/usr/lib/*.a

	# remove acceptance test binary
	rm -f debian/tmp/usr/bin/compiz_autopilot_acceptance_tests

	dh_install --fail-missing

	# remove the compizconfig dev file from compiz-dev
	rm debian/compiz-dev/usr/share/compiz/cmake/LibCompizConfigCommon.cmake

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

override_dh_auto_test:
ifeq ($(DEB_BUILD_ARCH), s390x)
	-dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel
endif

%:
	dh $@ --parallel --with python3,translations

## compiz 0.9.14.1+20.10.20200813-0ubuntu1

=== compizconfig/libcompizconfig/CMakeLists.txt ===
project (libcompizconfig)

set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})
include (CompizDefaults)
include (CompizCommon)
include (CompizPackage)
include (CheckLibraryExists)
include (CheckIncludeFile)

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (LIBCOMPIZCONFIG_CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${LIBCOMPIZCONFIG_CMAKE_MODULE_PATH})

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set (ALL_LINGUAS ace af am ar as ast az be bg bn_IN bn br bs ca ce cs cy da de el en_AU en_CA en_GB eo es et eu fa fil fi fr fy gl gu he hi hr hu id is it ja jv kab ka km kn ko ku ky lo lt lv mk ml mn mr ms my nb nds ne nl nn oc or pa pl pt_BR pt ro ru si sk sl sq sr sv ta te th tr ug uk vi xh zh_CN zh_HK zh_TW zu)
set (GETTEXT_PACKAGE libcompizconfig)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)
set (VERSION ${COMPIZ_RELEASE_VERSION})

configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

include_directories (
    "include"
    )

option (USE_PROTOBUF
	"Use Google Protocol Buffers library for faster XML loading"
	ON
	)

set (PROTOC_ERROR_MESSAGE
     "\nWARNING: You need to install Protocol Buffers to get faster program startup.\n"
     "Sources are available at http://code.google.com/p/protobuf/downloads/list\n"
     "Package names for Ubuntu/Debian: libprotobuf0, libprotobuf-dev, protobuf-compiler\n"
     "Package names for other distributions: protobuf, protobuf-devel\n"
     "Disabling protobuf.\n"
     )

set (LIBCOMPIZCONFIG_PROTOBUF
     protobuf)

if (USE_PROTOBUF)
    find_program (HAVE_PROTOC protoc)
    if (HAVE_PROTOC)
	if (USE_PROTOBUF)
	    pkg_check_modules (PROTOBUF protobuf)
	    if (PROTOBUF_FOUND)
	    else ()
		message (${PROTOC_ERROR_MESSAGE})
		set (USE_PROTOBUF
		     false
		     )
	    endif (PROTOBUF_FOUND)
	endif (USE_PROTOBUF)
    else ()
	message (${PROTOC_ERROR_MESSAGE})
	set (USE_PROTOBUF
	     false
	     )
    endif (HAVE_PROTOC)
endif (USE_PROTOBUF)

if (USE_PROTOBUF)
    set (HAVE_PROTOBUF TRUE)
endif (USE_PROTOBUF)

check_include_file ("sys/inotify.h"
		    HAVE_INOTIFY)

set (INOTIFY_WARNING_MESSAGE
     "NOTE\n
      ======\n
      Inotify header files not found. While this library might work \n
      without them, user experience is degraded as settings won't be\n
      applied instantly. We strongly suggest installing the inotify\n
      header files.\n")

if (HAVE_INOTIFY)
else ()
    message (${INOTIFY_WARNING_MESSAGE})
endif (HAVE_INOTIFY)

set (COMPIZCONFIG_LIBDIR ${libdir})

set (LIBCOMPIZCONFIG_REQUIRES
    x11
    libxml-2.0
    libxslt
    )

if (HAVE_PROTOBUF)
    set (LIBCOMPIZCONFIG_REQUIRES
	 ${LIBCOMPIZCONFIG_REQUIRES}
	 protobuf)
endif ()

compiz_pkg_check_modules (LIBCOMPIZCONFIG REQUIRED ${LIBCOMPIZCONFIG_REQUIRES})

list (APPEND LIBCOMPIZCONFIG_LIBRARIES ${COMPIZ_LIBRARIES})
list (APPEND LIBCOMPIZCONFIG_LIBRARY_DIRS ${COMPIZ_LIBRARY_DIRS})
list (APPEND LIBCOMPIZCONFIG_INCLUDE_DIRS ${COMPIZ_INCLUDE_DIRS})

compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig.pc
)

compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig_internal.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig_internal.pc
)

install (
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig.pc
    DESTINATION ${libdir}/pkgconfig
)


add_subdirectory (config)
add_subdirectory (backend)
add_subdirectory (src)
add_subdirectory (include)
add_subdirectory (cmake)

if (COMPIZ_BUILD_TESTING)
    add_subdirectory (tests)
endif (COMPIZ_BUILD_TESTING)

=== plugins/firepaint/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (firepaint PLUGINDEPS composite opengl)

=== plugins/rotate/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(rotate PLUGINDEPS composite opengl cube)

## compiz 0.9.14.1+20.10.20200813-0ubuntu3

=== compizconfig/CMakeLists.txt ===
set (_COMPIZCONFIG_INTERNAL ON)
set (LIBCOMPIZCONFIG_CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig/cmake )
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${LIBCOMPIZCONFIG_CMAKE_MODULE_PATH})
set (COMPIZCONFIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig/include)
set (COMPIZCONFIG_LIBRARY_DIRS ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig)

set (COMPIZCONFIG_CONFIG_DIR ${CMAKE_INSTALL_FULL_SYSCONFDIR}/compizconfig)
set (COMPIZCONFIG_UPGRADES_DIR ${CMAKE_INSTALL_FULL_DATAROOTDIR}/compizconfig/upgrades)

if (COMPIZ_PACKAGING_ENABLED)
    set (libcompizconfig_prefix ${CMAKE_INSTALL_PREFIX}                           CACHE PATH "prefix")
    set (libcompizconfig_libdir ${CMAKE_INSTALL_FULL_LIBDIR}                      CACHE PATH "libdir")
    set (libcompizconfig_includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR}/compizconfig CACHE PATH "includedir")
    set (libcompizconfig_exec_prefix ${CMAKE_INSTALL_PREFIX}/bin                  CACHE PATH "bindir")
else (COMPIZ_PACKAGING_ENABLED)
    set (libcompizconfig_prefix ${CMAKE_INSTALL_PREFIX})
    set (libcompizconfig_libdir ${CMAKE_INSTALL_FULL_LIBDIR})
    set (libcompizconfig_includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR}/compizconfig)
    set (libcompizconfig_exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
endif (COMPIZ_PACKAGING_ENABLED)

add_subdirectory (libcompizconfig)
add_subdirectory (compizconfig-python)
add_subdirectory (integration)
add_subdirectory (ccsm)
add_subdirectory (gsettings)

if (COMPIZ_BUILD_TESTING)
    add_subdirectory (mocks)
    add_subdirectory (tests)
endif (COMPIZ_BUILD_TESTING)

add_custom_target (pyclean)

=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 3.10.0),
               debhelper (>= 9~),
               dh-python,
               dh-translations,
               libgtest-dev (>= 1.8.0),
               libgmock-dev (>= 1.8.0),
               intltool,
               libtool,
               pkg-config (>= 0.29.1),
               quilt (>= 0.40),
               libcairo2-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) [!armhf !armel] | libgl-dev [!armhf !armel],
               libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel],
               libboost-dev,
               libboost-serialization-dev,
               libglib2.0-dev,
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libice-dev (>= 1:1.0.1), 
               libmetacity-dev (>= 1:3.22.0),
               libpango1.0-dev,
               libpng-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libwnck-3-dev,
               libx11-dev,
               libxcomposite-dev (>= 1:0.3-2),
               libxext-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxi-dev,
               libxinerama-dev, 
               libxml-parser-perl,
               libxorg-gtest-dev,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxcursor-dev,
               libxml2-dev,
               libxslt1-dev,
               xsltproc,
               libstartup-notification0-dev (>= 0.7),
               x11proto-gl-dev (>= 1.4.8),
               libglu1-mesa-dev [!armhf !armel],
               libjpeg-dev,
               libnotify-dev (>= 0.7.0),
               libx11-xcb-dev,
               libprotobuf-dev,
               protobuf-compiler,
               python3-dev,
               cython3,
               gsettings-desktop-schemas-dev,
               xserver-xorg-dev (>= 0.7.0),
Standards-Version: 3.9.8
Vcs-Git: https://git.launchpad.net/~compiz-team/compiz
Vcs-Browser: https://git.launchpad.net/~compiz-team/compiz?h=master
Homepage: https://launchpad.net/compiz

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}),
         compiz-plugins-default (>= ${source:Version}),
         compiz-gnome,
         ${misc:Depends},
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: compiz-plugins-default,
Provides: compiz-core-abiversion-${coreabiversion}
Replaces: compizconfig-settings-manager (<< 0.9.8)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0-dev (= ${binary:Version}),
         ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         libgl1-mesa-dev [!armhf !armel] | libgl-dev [!armhf !armel],
         libegl1-mesa-dev [armhf armel],
         libgles2-mesa-dev [armhf armel],
         libpng-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>=1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>=2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxslt1-dev,
         libxml2-dev,
         libx11-xcb-dev,
         libglib2.0-dev,
         libglibmm-2.4-dev,
         libgtk-3-dev,
Replaces: compiz-plugins-main-dev (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-dev (<< 1:0.9.8),
Breaks: compiz-plugins-main-dev (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
Suggests: compiz-plugins
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         compiz-plugins-default (= ${binary:Version}),
         gsettings-desktop-schemas,
         gnome-settings-daemon-common (>= 3.4.2-0ubuntu9),
         python3-gi
Recommends: gnome-system-monitor | mate-system-monitor,
Replaces: compiz-plugins-main (<= 1:0.9.8),
          compiz-plugins-main-default (<= 1:0.9.8),
          libcompizconfig0 (<= 1:0.9.8),
Breaks: compiz-plugins-main (<= 1:0.9.8),
        compiz-plugins-main-default (<= 1:0.9.8),
        unity (<< 7.5.0+19.04.20190208-0ubuntu1~),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-mate
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         compiz-gnome,
         mate-settings-daemon,
         python3
Recommends: ubuntu-mate-wallpapers-common,
Description: OpenGL window and compositing manager - MATE integration
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins-default
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main-default (<< 1:0.9.8),
          compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
          compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3),
Breaks: compiz-plugins-main-default (<< 1:0.9.8),
        compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
        compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3),
Description: OpenGL window and compositing manager - default plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the default set of core Compiz plugins.

Package: compiz-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         compiz-plugins-default (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-plugins-main-default (<< 1:0.9.8),
          compiz-core (<< 1:0.9.11+14.10.20140606),
Breaks: compiz-plugins-main (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
        compiz-core (<< 1:0.9.11+14.10.20140606),
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the plugins that come with compiz but not officially
 supported.

Package: libdecoration0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdecoration0 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1),
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

Package: libcompizconfig0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core (= ${binary:Version}),
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version}),
         compiz-dev,
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.

Package: python3-compizconfig
Architecture: any
Multi-Arch: same
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Compizconfig bindings for Python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides Python bindings for the compizconfig system.

Package: compizconfig-settings-manager
Architecture: all
Multi-Arch: allowed
XB-Python3-Version: ${python3:Versions}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},

## compiz 0.9.14.1+22.04.20211026-0ubuntu1

=== src/timer/CMakeLists.txt ===
pkg_check_modules(
  GLIBMM 
  REQUIRED
  glibmm-2.4 
)

INCLUDE_DIRECTORIES(  
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  
  ${compiz_SOURCE_DIR}/include
    
  ${Boost_INCLUDE_DIRS}
  
  ${GLIBMM_INCLUDE_DIRS}
)

LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS}) 

SET( 
  PUBLIC_HEADERS 
  ${CMAKE_CURRENT_SOURCE_DIR}/include/core/timer.h
  ${CMAKE_CURRENT_SOURCE_DIR}/include/core/timeouthandler.h
)

SET( 
  PRIVATE_HEADERS 
  ${CMAKE_CURRENT_SOURCE_DIR}/src/privatetimeouthandler.h
  ${CMAKE_CURRENT_SOURCE_DIR}/src/privatetimeoutsource.h
  ${CMAKE_CURRENT_SOURCE_DIR}/src/privatetimer.h

)

SET( 
  SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/src/timeouthandler.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/src/timer.cpp 
)

ADD_LIBRARY( 
  compiz_timer STATIC
  
  ${SRCS}
  
  ${PUBLIC_HEADERS}
  ${PRIVATE_HEADERS}
)

IF (COMPIZ_BUILD_TESTING)
ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
ENDIF (COMPIZ_BUILD_TESTING)

SET_TARGET_PROPERTIES(
  compiz_timer PROPERTIES
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
)

install (FILES ${PUBLIC_HEADERS} DESTINATION ${COMPIZ_CORE_INCLUDE_DIR})

TARGET_LINK_LIBRARIES( 
  compiz_timer
  
  ${GLIBMM_LIBRARIES}
)

## compiz 0.9.14.1+22.04.20211217-0ubuntu2

=== CMakeLists.txt ===
#
# Main CMakeLists.txt for compiz
#
project (compiz C CXX)

cmake_minimum_required (VERSION 3.17.0)

if (POLICY CMP0072)
    cmake_policy (SET CMP0072 OLD)
endif ()

if (POLICY CMP0077)
    cmake_policy (SET CMP0077 NEW)
endif ()

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})

include (CTest)
include (GNUInstallDirs)

set (MEMORYCHECK_COMMAND_OPTIONS --trace-children=yes)
set (MEMORYCHECK_SUPPRESSIONS_FILE ${CMAKE_SOURCE_DIR}/tests/experimental-memcheck/compiz.supp CACHE FILEPATH "" FORCE)

include (Dart)

# Common compiz CMake macros & functions.
include (CompizCommon)
# Packaging-specific CMake macros & functions.
include (CompizPackage)

# GSettings schema recompilation
include (CompizGSettings)

# Google Test and Xorg-GTest
include (XorgGTest)

include (cmake/base.cmake)
# Check if specific function is present in library.
include (CheckFunctionExists)

enable_testing()

# Import macro for doing coverage reporting
include(EnableCoverageReport)

#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

#set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
#if (NOT CMAKE_BUILD_TYPE)
#    set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
#endif (NOT CMAKE_BUILD_TYPE)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)

set (VERSION ${COMPIZ_RELEASE_VERSION})

set (DECOR_INTERFACE_VERSION 20110504)

if (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin          CACHE PATH "bindir")
    set (libdir ${CMAKE_INSTALL_FULL_LIBDIR}              CACHE PATH "libdir")
    set (includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR}      CACHE PATH "includedir")
    set (datadir ${CMAKE_INSTALL_FULL_DATAROOTDIR}        CACHE PATH "datadir")
else (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                 )
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin        )
    set (libdir ${CMAKE_INSTALL_FULL_LIBDIR}            )
    set (includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR}    )
    set (datadir ${CMAKE_INSTALL_FULL_DATAROOTDIR}      )
endif (COMPIZ_PACKAGING_ENABLED)

set (compiz_plugindir ${libdir}/compiz)
set (compiz_sharedir ${datadir}/compiz/)
set (compiz_metadatadir ${datadir}/compiz)
set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

# Force re-generation of uninstall script
compiz_set (_compiz_uninstall_rule_created FALSE)

# Don't allow subdirectories to add schema recompile rule
set_property (GLOBAL
	      PROPERTY GSETTINGS_LOCAL_COMPILE_INHIBIT_RULE
	      TRUE)
set_property (GLOBAL
	      PROPERTY COMPIZ_INHIBIT_ADD_INSTALL_RECOMPILE_RULE
	      TRUE)

# Translation
set (ALL_LINGUAS ace af am ar as ast az be bg bn_IN bn br bs ca ce cs cy da de el en_AU en_CA en_GB eo es et eu fa fil fi fr fy gl gu he hi hr hu id is it ja jv kab ka km kn ko ku ky lo lt lv mk ml mn mr ms my nb nds ne nl nn oc or pa pl pt_BR pt ro ru si sk sl sq sr sv ta te th tr ug uk vi xh zh_CN zh_HK zh_TW zu)
set (GETTEXT_PACKAGE compiz)

set (COMPIZ_REQUIRES
    x11
    xext
    xdamage
    xcomposite
    xcursor
    x11-xcb
    xrandr
    xinerama
    xi
    ice
    sm
    libxml-2.0
    libxslt
    glib-2.0
    gio-2.0
    glibmm-2.4
    "libstartup-notification-1.0 >= 0.7"
)

set (DECORATION_REQUIRES "xrender >= 0.9.3")

compiz_pkg_check_modules (COMPIZ REQUIRED ${COMPIZ_REQUIRES})
compiz_pkg_check_modules (LIBDECORATION REQUIRED ${DECORATION_REQUIRES})

include (CompizDefaults)

set (_compiz_package_string "Compiz ${VERSION}")
set (_compiz_package "Compiz")

compiz_configure_file (${compiz_SOURCE_DIR}/config.h.core.in ${compiz_BINARY_DIR}/generated/config.h)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/compiz.pc.in
    ${CMAKE_BINARY_DIR}/compiz.pc
    COMPIZ_REQUIRES
    COMPIZ_CFLAGS
)

install (
    FILES ${CMAKE_BINARY_DIR}/compiz.pc
    DESTINATION ${libdir}/pkgconfig
)

set (COMPIZ_INTERNAL_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src/timer/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/string/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/pluginclasshandler/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/point/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/rect/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/servergrab/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/region/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/geometry/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/geometry-saver/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/extents/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/constrainment/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/logmessage/include)

if (COMPIZ_BUILD_TESTING)

    include (GoogleTest)

    if (GOOGLE_TEST_AND_MOCK_FOUND)

	if (BUILD_XORG_GTEST)

	    find_package (XorgGTest)

	    set (COMPIZ_XORG_GTEST_DIR ${CMAKE_BINARY_DIR}/__xorg_gtest CACHE PATH "Path to Xorg GTest build dir" FORCE)
	    set (COMPIZ_XORG_GTEST_WRAPPER ${COMPIZ_XORG_GTEST_DIR}/xorg_gtest_wrapper CACHE PATH "Path to Xorg GTest wrapper" FORCE)

	    if (XORG_GTEST_FOUND)

		build_xorg_gtest_locally (${CMAKE_BINARY_DIR}/__xorg_gtest)

	    else (XORG_GTEST_FOUND)

		set (BUILD_XORG_GTEST FALSE)

	    endif (XORG_GTEST_FOUND)

	endif (BUILD_XORG_GTEST)

    else (GOOGLE_TEST_AND_MOCK_FOUND)

	set (COMPIZ_BUILD_TESTING OFF CACHE BOOL "" FORCE)
	set (BUILD_XORG_GTEST OFF CACHE BOOL "" FORCE)

    endif (GOOGLE_TEST_AND_MOCK_FOUND)

else (COMPIZ_BUILD_TESTING)

    set (BUILD_XORG_GTEST OFF CACHE BOOL "" FORCE)

endif (COMPIZ_BUILD_TESTING)

# Add the rest of compiz
add_subdirectory (cmake)
add_subdirectory (include)
add_subdirectory (images)
add_subdirectory (libdecoration)
add_subdirectory (gtk)
add_subdirectory (po)
add_subdirectory (metadata)
add_subdirectory (src)
add_subdirectory (compizconfig)
add_subdirectory (xslt)
add_subdirectory (plugins)
add_subdirectory (tests)

# Leave last - the cmake_install.cmake script is guaranteed
# to run in a single job, and we need to force GSettings
# schema recompilation to happen after all other install
# targets (there is no way to set install target dependencies)
# in CMake
add_subdirectory (postinst)

compiz_ensure_linkage ()
compiz_package_generation ("Compiz")
compiz_add_uninstall ()
compiz_add_git_dist ()
compiz_add_distcheck ()
compiz_add_release ()
compiz_add_release_signoff ()

if (COMPIZ_BUILD_TESTING)
    compiz_generate_testfile_target ()
endif (COMPIZ_BUILD_TESTING)

_print_configure_results ()

_check_compiz_cmake_macro (${CMAKE_MODULE_PATH_ORIG})

# Enable coverage reporting for compiz
compiz_generate_coverage_report()

=== plugins/cubeaddon/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (cubeaddon PLUGINDEPS composite opengl cube)

=== plugins/imgpng/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(imgpng PKGDEPS libpng)

=== src/tests/CMakeLists.txt ===
add_executable (compiz_test_outputdevices
    test_outputdevices.cpp
)

include_directories (
    ${COMPIZ_MAIN_SOURCE_DIR}
    ${COMPIZ_MAIN_SOURCE_DIR}/rect/include
    ${COMPIZ_MAIN_SOURCE_DIR}/region/include
    ${COMPIZ_MAIN_SOURCE_DIR}/timer/include
    ${COMPIZ_MAIN_SOURCE_DIR}/pluginclasshandler/include
    ${COMPIZ_MAIN_SOURCE_DIR}/window/geometry/include
    ${COMPIZ_MAIN_SOURCE_DIR}/window/extents/include
    ${COMPIZ_MAIN_SOURCE_DIR}/servergrab/include
    ${COMPIZ_INCLUDE_DIRS}
)

link_directories (${COMPIZ_MAIN_BINARY_DIR})

target_link_libraries (compiz_test_outputdevices
    -Wl,-start-group
    compiz_size
    compiz_output
    compiz_outputdevices
    compiz_rect
    compiz_region
    compiz_window_geometry
    -Wl,-end-group
    ${GTEST_BOTH_LIBRARIES}
)

compiz_discover_tests(compiz_test_outputdevices COVERAGE compiz_core)

add_executable (compiz_test_configurerequestbuffer
                test_configurerequestbuffer.cpp)

target_link_libraries (compiz_test_configurerequestbuffer
    compiz_configurerequestbuffer
    ${GTEST_BOTH_LIBRARIES}
    ${GMOCK_MAIN_LIBRARY}
    ${GMOCK_LIBRARY}
)

compiz_discover_tests(compiz_test_configurerequestbuffer COVERAGE compiz_configurerequestbuffer)

=== tests/xorg-gtest/CMakeLists.txt ===
set (COMPIZ_LD_LIBRARY_PATH ${CMAKE_BINARY_DIR}/src CACHE STRING "" FORCE)
set (COMPIZ_BINARY ${CMAKE_BINARY_DIR}/src/compiz CACHE STRING "" FORCE)

set (COMPIZ_XORG_GTEST_COMMUNICATOR_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/communicator CACHE PATH "" FORCE)
set (COMPIZ_XORG_GTEST_COMMUNICATOR_LIBRARY_DIRS ${CMAKE_CURRENT_BINARY_DIR}/communicator CACHE PATH "" FORCE)
set (COMPIZ_XORG_GTEST_COMMUNICATOR_LIBRARY compiz_xorg_gtest_communicator CACHE STRING "" FORCE)
set (COMPIZ_TEST_ONLY_PLUGIN_PATH ${CMAKE_CURRENT_BINARY_DIR}/plugins/)
set (COMPIZ_REAL_PLUGIN_PATH ${CMAKE_BINARY_DIR}/plugins/)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/compiz-xorg-gtest-config.h.in
		${CMAKE_CURRENT_BINARY_DIR}/src/compiz-xorg-gtest-config.h
		@ONLY)

include_directories (${XORG_SERVER_INCLUDE_XORG_GTEST}
		     ${XORG_SERVER_GTEST_INCLUDES}
                     ${COMPIZ_XORG_SYSTEM_TEST_INCLUDE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}/src
                     ${compiz_SOURCE_DIR}/tests/shared
		     ${COMPIZ_XORG_GTEST_COMMUNICATOR_INCLUDE_DIR})

link_directories (${XORG_SERVER_LIBRARY_DIRS})

add_definitions (${XORG_SERVER_GTEST_CFLAGS})

set (_xorg_gtest_all_srcs
     ${XORG_SERVER_GTEST_SRC}/src/xorg-gtest-all.cpp)

add_library (xorg_gtest_all STATIC
	     ${_xorg_gtest_all_srcs})

add_library (compiz_xorg_gtest_main STATIC
             ${CMAKE_CURRENT_SOURCE_DIR}/src/compiz_xorg_gtest_main.cpp)

add_library (compiz_xorg_gtest_system_test STATIC
	     ${CMAKE_CURRENT_SOURCE_DIR}/src/compiz-xorg-gtest.cpp)

add_executable (xorg_gtest_wrapper
		${CMAKE_CURRENT_SOURCE_DIR}/src/xorg_gtest_wrapper.cpp)

target_link_libraries (xorg_gtest_all
                       ${X11_XI_LIBRARIES}
		       ${GTEST_BOTH_LIBRARIES}
		       ${XORG_SERVER_GTEST_LIBRARIES})

target_link_libraries (compiz_xorg_gtest_main
		       ${GTEST_BOTH_LIBRARIES}
		       ${XORG_SERVER_GTEST_LIBRARIES})

target_link_libraries (compiz_xorg_gtest_system_test
		       xorg_gtest_all
		       compiz_xorg_gtest_main
		       ${GTEST_BOTH_LIBRARIES}
		       ${XORG_SERVER_LIBRARIES}
		       ${COMPIZ_XORG_GTEST_COMMUNICATOR_LIBRARY}
		       ${X11_XI_LIBRARIES})

add_subdirectory (communicator)
add_subdirectory (plugins)

=== plugins/expo/src/click_threshold/CMakeLists.txt ===
include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
  ${GLIBMM_INCLUDE_DIRS}
)

link_directories (${GLIBMM_LIBRARY_DIRS} ${COMPIZ_LIBRARY_DIRS})

set (
  PRIVATE_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/include/click-threshold.h
)

set (
  SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/src/click-threshold.cpp
)

add_library (
  compiz_expo_click_threshold STATIC
  ${SRCS}
  ${PRIVATE_HEADERS}
)

if (COMPIZ_BUILD_TESTING)
  add_subdirectory ( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
endif (COMPIZ_BUILD_TESTING)

target_link_libraries (
  compiz_expo_click_threshold
  compiz_point
)

=== plugins/expo/src/wall_offset/CMakeLists.txt ===
include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${Boost_INCLUDE_DIRS}
  ${GLIBMM_INCLUDE_DIRS}
)

link_directories (${GLIBMM_LIBRARY_DIRS} ${COMPIZ_LIBRARY_DIRS})

set (
  PRIVATE_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/include/wall-offset.h
)

set (
  SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/src/wall-offset.cpp
)

add_library (
  compiz_expo_wall_offset STATIC
  ${SRCS}
  ${PRIVATE_HEADERS}
)

if (COMPIZ_BUILD_TESTING)
  add_subdirectory ( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
endif (COMPIZ_BUILD_TESTING)

target_link_libraries (
  compiz_expo_wall_offset
  compiz_core
)

## compiz 0.9.14.1+22.04.20220820-0ubuntu1

=== cmake/CMakeLists.txt ===
compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/CompizDefaults.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CompizDefaults.cmake
)

set (_files
    CompizCommon.cmake
    CompizPlugin.cmake
    CompizPackage.cmake
    CompizBcop.cmake
    copy_file_install_user_env.cmake
    recompile_gsettings_schemas_in_dir_user_env.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/CompizDefaults.cmake
)

list (APPEND _PluginExtensionFiles
      plugin_extensions/CompizGenInstallData.cmake)
list (APPEND _PluginExtensionFiles
      plugin_extensions/CompizGenInstallImages.cmake)
list (APPEND _PluginExtensionFiles
      plugin_extensions/CompizOpenGLFixups.cmake)
list (APPEND _files
      CompizGSettings.cmake)
list (APPEND _PluginExtensionFiles
      plugin_extensions/CompizGenGSettings.cmake)

install (
    FILES ${_files}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/compiz/cmake
)

install (
    FILES ${_PluginExtensionFiles}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/compiz/cmake/plugin_extensions
)

# Do not install src/compiz for a while until we've polished it up

#install (DIRECTORY src/compiz
#	 DESTINATION ${CMAKE_INSTALL_PREFIX}/src)

if (COMPIZ_BUILD_TESTING)
    add_subdirectory (src)
endif (COMPIZ_BUILD_TESTING)

=== xslt/CMakeLists.txt ===
set (_files
    bcop.xslt
)

compiz_configure_file (compiz_gsettings_schemas.xslt.in compiz_gsettings_schemas.xslt)

list (APPEND _files ${CMAKE_CURRENT_BINARY_DIR}/compiz_gsettings_schemas.xslt)

install (
    FILES ${_files}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/compiz/xslt
)

=== plugins/commands/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(commands)

=== plugins/cube/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(cube PLUGINDEPS composite opengl)

=== plugins/expo/CMakeLists.txt ===
find_package (Compiz REQUIRED)
include (CompizPlugin)

add_subdirectory (src/click_threshold)
include_directories (src/click_threshold/include)
add_subdirectory (src/wall_offset)
include_directories (src/wall_offset/include)

compiz_plugin (expo
    PLUGINDEPS composite opengl
    LIBRARIES compiz_expo_click_threshold compiz_expo_wall_offset
)

=== plugins/imgjpeg/CMakeLists.txt ===
find_package (Compiz REQUIRED)
include (CompizPlugin)
include (FindJPEG)

if (JPEG_FOUND)
    compiz_plugin (imgjpeg LIBRARIES ${JPEG_LIBRARIES} INCDIRS ${JPEG_INCLUDE_DIR})
endif (JPEG_FOUND)

=== plugins/place/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/constrain-to-workarea/include/)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/screen-size-change/include/)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/smart/include/)

add_subdirectory (src/constrain-to-workarea)
add_subdirectory (src/screen-size-change)
add_subdirectory (src/smart)

compiz_plugin (place LIBRARIES compiz_place_constrain_to_workarea compiz_place_screen_size_change compiz_place_smart)

=== plugins/splash/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (splash PLUGINDEPS composite opengl)

=== compizconfig/libcompizconfig/config/CMakeLists.txt ===
set (_config_file
     config.conf)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config_test
		${CMAKE_CURRENT_BINARY_DIR}/compiz-1/compizconfig/config)

install (FILES ${_config_file} DESTINATION ${COMPIZCONFIG_CONFIG_DIR})

=== compizconfig/mocks/libcompizconfig/CMakeLists.txt ===
include_directories (${GTEST_INCLUDE_DIRS})
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../libcompizconfig/include)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../libcompizconfig/src)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../libcompizconfig/src)

if (HAVE_PROTOBUF)
    set (LIBCOMPIZCONFIG_LIBRARIES
	 ${LIBCOMPIZCONFIG_LIBRARIES}
	 protobuf)
endif (HAVE_PROTOBUF)

add_library (compizconfig_ccs_context_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_context_mock.cpp)

add_library (compizconfig_ccs_plugin_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_plugin_mock.cpp)

add_library (compizconfig_ccs_setting_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_setting_mock.cpp)

add_library (compizconfig_ccs_setting_stub
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_setting_stub.cpp)

add_library (compizconfig_ccs_backend_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_backend_mock.cpp)

add_library (compizconfig_ccs_text_file_mock
             ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_text_file_mock.cpp)

add_library (compizconfig_ccs_backend_loader_mock
             ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_backend_loader_mock.cpp)

add_library (compizconfig_ccs_config_file_mock
             ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_config_file_mock.cpp)

add_library (compizconfig_ccs_integration_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_integration_mock.cpp)

add_library (compizconfig_ccs_integrated_setting_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_integrated_setting_mock.cpp)

add_library (compizconfig_ccs_integrated_setting_storage_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_integrated_setting_storage_mock.cpp)

add_library (compizconfig_ccs_integrated_setting_factory_mock
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_integrated_setting_factory_mock.cpp)

target_link_libraries (compizconfig_ccs_context_mock
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_ccs_plugin_mock
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_ccs_setting_mock
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_ccs_setting_stub
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_ccs_backend_mock
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_ccs_text_file_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY})

target_link_libraries (compizconfig_ccs_config_file_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY}
		       compizconfig)

target_link_libraries (compizconfig_ccs_backend_loader_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY}
		       compizconfig)

target_link_libraries (compizconfig_ccs_integration_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY}
		       compizconfig)

target_link_libraries (compizconfig_ccs_integrated_setting_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY}
		       compizconfig)

target_link_libraries (compizconfig_ccs_integrated_setting_factory_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY}
		       compizconfig)

target_link_libraries (compizconfig_ccs_integrated_setting_storage_mock
                       ${GTEST_BOTH_LIBRARIES}
                       ${GMOCK_LIBRARY}
                       ${GMOCK_MAIN_LIBRARY}
		       compizconfig)

=== src/privatescreen/tests/CMakeLists.txt ===
include(CompizTesting)

include_directories( 
  ${CMAKE_CURRENT_SOURCE_DIR} 

  ${compiz_BINARY_DIR}/generated
  ${compiz_SOURCE_DIR}/build/generated
  ${compiz_SOURCE_DIR}/include

  ${compiz_SOURCE_DIR}/src
  ${compiz_SOURCE_DIR}/src/timer/include
  ${compiz_SOURCE_DIR}/src/timer/src

  ${compiz_SOURCE_DIR}/src/rect/include
  ${compiz_SOURCE_DIR}/src/region/include
  ${compiz_SOURCE_DIR}/src/screen/geometry/include
  ${compiz_SOURCE_DIR}/src/window/geometry/include
  ${compiz_SOURCE_DIR}/src/window/extents/include
  ${compiz_SOURCE_DIR}/src/screen/extents/include
  ${compiz_SOURCE_DIR}/src/servergrab/include

  ${compiz_SOURCE_DIR}/src/pluginclasshandler/include

  ${COMPIZ_INCLUDE_DIRS}

  ${Boost_INCLUDE_DIRS}
)

add_definitions (
    -DHAVE_CONFIG_H
    -DPLUGINDIR="${compiz_plugindir}"
    -DSHAREDIR="${compiz_sharedir}"
    -DMETADATADIR="${compiz_metadatadir}"
)

add_executable( 
  compiz_privatescreen_test
  
  ${CMAKE_CURRENT_SOURCE_DIR}/test-privatescreen.cpp
)

target_link_libraries( 
  compiz_privatescreen_test
  
  compiz_core
  compiz_window_constrainment
  compiz_logmessage
  
  ${GTEST_BOTH_LIBRARIES}
  ${GMOCK_LIBRARY}
)

compiz_discover_tests (compiz_privatescreen_test COVERAGE compiz_core)

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: cmake (>= 3.10.0),
+Build-Depends: cmake (>= 3.17.0),
                debhelper (>= 9~),
                dh-python,
                dh-translations,

## compiz 0.9.14.2%2B22.10.20220822-0ubuntu12

=== plugins/opacify/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (opacify PLUGINDEPS composite opengl)
